All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Interface EventInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

All Known Subinterfaces:
  StoredProcessAlertItemInterface

All Known Implementing Classes:
  DavEvent, StoredProcessAlertItem

    public interface EventInterface

extends MetadataInterface

Event data is persisted as an XML document. EventInterface describes operations on these events

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`org.w3c.dom.Document` | `getEventDocument()` Deprecated.
`java.lang.String` | `getEventDocumentAsString()` Gets the event document XML string, containing the event header and event body
`void` | `setEventDocument(org.w3c.dom.Document eventDoc)` Deprecated.
`void` | `setEventDocumentFromString(java.lang.String eventDocString)` Sets the event document, containing the event header and event body

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### setEventDocument

    void setEventDocument(org.w3c.dom.Document eventDoc)
                          throws java.rmi.RemoteException

  Deprecated.

  Sets the event document, containing the event header and event body

  Parameters:
    `eventDoc` - The event document
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEventDocument

    org.w3c.dom.Document getEventDocument()
                                          throws java.rmi.RemoteException

  Deprecated.

  Gets the event document, containing the event header and event body

  Returns:
    Document The event document
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### setEventDocumentFromString

    void setEventDocumentFromString(java.lang.String eventDocString)
                                    throws java.rmi.RemoteException

  Sets the event document, containing the event header and event body

  Parameters:
    `eventDocString` - The event document XML string
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEventDocumentAsString

    java.lang.String getEventDocumentAsString()
                                              throws java.rmi.RemoteException

  Gets the event document XML string, containing the event header and event body

  Returns:
    String The event document XML string
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.